Bug 1778 - include order of yp_clnt.h and yp_proto.h in include/includes.h wrong
include order of yp_clnt.h and yp_proto.h in include/includes.h wrong
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.7
PPC AIX
: P3 normal
: none
Assigned To: Tim Potter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-15 19:02 UTC by Adrian Wallaschek
Modified: 2006-01-25 10:44 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adrian Wallaschek 2004-09-15 19:02:03 UTC
For AIX yp_proto.h must be included before yp_clnt.h is include otherwise the
whole build is polluted with a warning saying that dom_binding is declared
within a parameter list "which is probably not what you want" (that's what the
compiler said! ;-)). dom_binding is declared in yp_proto.h (or was it yp_prot.h,
anyway you won't miss it!). They are currently included one after the other,
yp_clnt.h first. 
Swapping this solved this problem.

I am aware that this might be as usual vice versa on other systems, sorry on AIX
5.2 it is like this!

Regards,
Adrian
Comment 1 Tim Potter 2004-09-15 19:27:02 UTC
It does sound logical that yp_proto.h should be included before yp_clnt.h.  I'm
not sure whether very many people use the yp support these days anyway.

I might swap them around and see if any machines in the build farm complain
about it.
Comment 2 Tim Potter 2004-09-15 19:48:37 UTC
I have checked in a fix.  Can you compile the SAMBA_3_0 branch and see if it
works for you?
Comment 3 William Jojo 2006-01-11 12:16:39 UTC
(In reply to comment #2)
> I have checked in a fix.  Can you compile the SAMBA_3_0 branch and see if it
> works for you?

Tim,

I don't see any warnings on 5.2 or 5.3 wrt yp/nis.

Cheers,

Bill
Comment 4 Gerald (Jerry) Carter 2006-01-25 10:44:22 UTC
Bill says fixed.